.\" file MASS/Pima.tr.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN Pima.tr
.FN Pima.tr2
.FN Pima.te
.TL
Diabetes in Pima Indian Women
.SH SUMMARY
A population of women who were at least 21 years old, of Pima Indian heritage
and living near Phoenix, Arizona,  was tested for diabetes
according to World Health Organization criteria.  The data
were collected by the US National Institute of Diabetes and Digestive and
Kidney Diseases. We used the 532 complete records after dropping the
(mainly missing) data on serum insulin.
.SH "DATA DESCRIPTION"
These data frames contains the following columns:
.AG npreg
number of pregnancies
.AG glu
plasma glucose concentration in an oral glucose tolerance test
.AG bp
diastolic blood pressure (mm Hg)
.AG skin
triceps skin fold thickness (mm)
.AG bmi
body mass index (weight in kg/(height in m)^2)
.AG ped
diabetes pedigree function
.AG age
age in years
.AG type
`Yes' or `No', for diabetic according to WHO criteria
.DT
The training set `Pima.tr' contains a randomly selected set of 200
subjects, and `Pima.te' contains the remaining 322 subjects.
`Pima.tr2' contains `Pima.tr' plus 100 subjects with missing values in
the explanatory variables.
.SH SOURCE
Smith, J. W., Everhart, J. E., Dickson, W. C., Knowler, W. C. 
and Johannes, R. S. (1988)
Using the ADAP learning algorithm to forecast the onset of diabetes
mellitus.
In
.ul
Proceedings of the Symposium on Computer Applications in Medical Care (Washington, 1988), 
ed. R. A. Greenes, pp. 261-265.
Los Alamitos, CA: IEEE Computer Society Press.
.PP
Ripley, B.D. (1996)
.ul
Pattern Recognition and Neural Networks.
Cambridge: Cambridge University Press.
.KW sysdata
.WR
