.\" file MASS/eagles.d
.\" copyright (C) 1999 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN eagles
.TL
Foraging Ecology of Bald Eagles
.SH SUMMARY
Knight and Skagen collected during a field study on the foraging
behaviour of wintering Bald Eagles in Washington State, USA data
concerning 160 attempts by one (pirating) Bald Eagle to steal a chum
salmon from another (feeding) Bald Eagle.
.SH "DATA DESCRIPTION"
The `eagles' data frame has 8 rows and 5 columns.
.AG y
Number of successful attempts.
.AG n
Total number of attempts.
.AG P
Size of pirating eagle (`L' = large, `S' = small).
.AG A
Age of pirating eagle (`I' = immature, `A' = adult).
.AG V
Size of victim eagle (`L' = large, `S' = small).
.SH SOURCE
Knight, R. L. and Skagen, S. K. (1988)
Agonistic asymmetries and the foraging ecology of Bald Eagles.
.ul
Ecology,
\fB69\fP, 1188-1194.
.EX
eagles.glm <- glm(cbind(y, n-y) ~ P*A + V, data=eagles, family=binomial)
dropterm(eagles.glm)
prof <- profile(eagles.glm)
plot(prof)
pairs(prof)
.KW sysdata
.WR
