.\" file MASS/immer.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN immer
.TL
Yields from a Barley Field Trial
.SH SUMMARY
The `immer' data frame has 30 rows and 4 columns.  Five varieties of
barley were grown in six locations in each of 1931 and
1932.
.SH "DATA DESCRIPTION"
This data frame contains the following columns:
.AG Loc
The location.
.AG Var
The variety of barley (`"manchuria"', `"svansota"', `"velvet"',
`"trebi"' and `"peatland"').
.AG Y1
Yield in 1931
.AG Y2
Yield in 1932
.SH SOURCE
Immer, F.R., Hayes, H.D. and LeRoy Powers (1934) 
Statistical determination of barley varietal adaptation.
.ul
Journal of the American Society for Agronomy
\fB26\fR, 403-407.
.PP
Fisher, R.A. (1947)
.ul
The Design of Experiments.
4th edition.
Edinburgh: Oliver and Boyd.
.EX
immer.aov <- aov(cbind(Y1,Y2) ~ Loc + Var, data=immer)
summary(immer.aov)

immer.aov <- aov((Y1+Y2)/2 ~ Var + Loc, data=immer)
summary(immer.aov)
model.tables(immer.aov, type="means", se=T, cterms="Var")
multicomp(immer.aov, plot=T)
.KW sysdata
.WR
