.\" file MASS/leuk.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN leuk
.TL
Survival Times and White Blood Counts for Leukaemia Patients
.SH "SUMMARY"
A data frame of data from 33 leukaemia patients.
.SH "DATA DESCRIPTION"
A data frame with columns:
.PP
.AG wbc
white blood count
.AG ag
a test result, `"present"' or `"absent"'
.AG time
survival time in weeks
.SH SOURCE
Cox, D. R. and Oakes, D. (1984)
.ul
Analysis of Survival Data, 
Chapman & Hall, p. 9.  Taken from
.PP
Feigl, P. & Zelen, M. (1965) Estimation of exponential survival
probabilities with concomitant information.
.ul
Biometrics,
\fB21\fR, 826-838.
.EX
plot(survfit(Surv(time) ~ ag, data=leuk), lty=2:3, col=2:3)

# now Cox models
leuk.cox <- coxph(Surv(time) ~ ag + log(wbc), leuk)
summary(leuk.cox)

.KW sysdata
.WR
