.\" file MASS/truehist.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN truehist
.TL
Plot a Histogram
.DN
Creates a histogram on the current graphics device.
.CS
truehist(data, nbins = "Scott", h, x0 = -h/1000, 
         breaks, prob = T, xlim = range(breaks), 
         ymax = max(est), col, 
         xlab = deparse(substitute(data)), bty = "n", ...)
.RA
.AG data
numeric vector of data for histogram.  Missing values (`NA's) 
are allowed and omitted.
.OA
.AG nbins
The suggested number of bins.  Either a number, or a character string
naming a rule: `"Scott"' or `"Freedman-Diaconis"' or `"FD"'.  (Case is
ignored.)
.AG h
The bin width (takes precedence over `nbins').
.AG x0
Shift for the bins - the breaks are at `x0 + h * (..., -1, 0, 1, ...)' 
.AG breaks
The set of breakpoints to be used. (Usually omitted, takes precedence
over `h' and `nbins').
.AG prob
If true (the default) plot a true histogram.
The vertical axis has a 
.ul
relative frequency density
scale, so the product of the dimensions of any panel gives the
relative frequency.  Hence the total area under the histogram
is 1 and it is directly comparable with most other estimates
of the probability density function.
.br
If false plot the counts in the bins.
.AG xlim
The limits for the x-axis.
.AG ymax
The upper limit for the y-axis.
.AG col
The colour number for the bar fill.
.AG xlab
label for the plot x-axis. By default, this will be the name of `data'.
.AG bty
The box type for the plot - defaults to none.
.AG ...
additional arguments to `polygon'.
.RT
None.
.SE
A histogram is plotted on the current device.
.DT
This plots a true histogram, a density estimate of total area 1.  If
`breaks' is specified, those breakpoints are used. Otherwise if `h' is
specified, a regular grid of bins is used with width `h'.  If neither
`breaks' nor `h' is specified, `nbins' is used to select a suitable
`h'.
.SA
`histplot', `hist', `histogram'
.KW hplot
.KW dplot
.WR
