.\" file class/knn.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN knn
.TL
k-Nearest Neighbour Classification
.DN
k-nearest neighbour classification for test set from training set. For
each row of the test set, the `k' nearest (in Euclidean distance)
training set vectors are found, and the classification is decided by
majority vote, with ties broken at random. If there are ties for the
`k'th nearest vector, all candidates are included in the vote.
.CS
knn(train, test, cl, k=1, l=0, prob=F, use.all=T)
.RA
.AG train
matrix or data frame of training set cases.
.AG test
matrix or data frame of test set cases. A vector will be interpreted
as a row vector for a single case.
.AG cl
factor of true classifications of training set
.OA
.AG k
number of neighbours considered.
.AG l
minimum vote for definite decision, otherwise `doubt'. (More
precisely, less than `k-l' dissenting votes are allowed, even if `k'
is increased by ties.)
.AG prob
If this is true, the proportion of the votes for the winning class
are returned as attribute `prob'.
.AG use.all
controls handling of ties. If true, all distances equal to the `k'th
largest are included. If false, a random selection of distances
equal to the `k'th is chosen to use exactly `k' neighbours.
.RT
factor of classifications of test set. `doubt' will be returned as `NA'.
.SA
`knn1', `knn.cv'
.EX
train <- rbind(iris[1:25,,1],iris[1:25,,2],iris[1:25,,3])
test <- rbind(iris[26:50,,1],iris[26:50,,2],iris[26:50,,3])
cl <- factor(c(rep("s",25),rep("c",25), rep("v",25)))
knn(train, test, cl, k=3, prob=T)
attributes(.Last.value)
.KW classif
.WR
